## ki18n 5.116.0+p24.04+vstable+git20251019.0221

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
project(KI18n VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KI18n_SOURCE_DIR}/cmake ${KI18n_BINARY_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMQmlModule)


ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KI18N
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfigVersion.cmake"
  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_WITH_QML "Build with support for scripted translations (recommended)" ON)
if (BUILD_WITH_QML)
   find_package(Qt${QT_MAJOR_VERSION}Qml ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()
if (ANDROID AND QT_MAJOR_VERSION EQUAL "5")
   find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

find_package(LibIntl)
set_package_properties(LibIntl PROPERTIES TYPE REQUIRED
	URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
	PURPOSE "Needed for building KI18n unless glibc is the system libc implementation"
)

find_package(IsoCodes)
set_package_properties(IsoCodes PROPERTIES TYPE RUNTIME
    PURPOSE "Translation catalogs for countries, country subdivisions, languages and currencies"
)

# KF5I18nMacros.cmake only needs to know the python executable path.
# Due to CMake caching the variables, and KF5I18nMacros being included by KF5I18nConfig,
# we have to hardcode the PYTHON_EXECUTABLE path or anything depending on KF5I18n
# would be unable to find another Python version.
find_package(PythonInterp REQUIRED)
configure_file(cmake/KF5I18nMacros.cmake.in ${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake @ONLY)
# Needed to build the ki18n translations and run the autotests
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-pofiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-tsfiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/ts-pmap-compile.py DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/kf5i18nuic.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)

# Create dummy file to execute find_package(KF5I18n) within autotests/ki18n_install
file(WRITE ${CMAKE_BINARY_DIR}/cmake/KF5I18nTargets.cmake "")

include(${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake)

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
if(MSVC)
    remove_definitions(-DQT_STRICT_ITERATORS)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5I18n")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5I18n_QCH
        FILE "${CMAKE_BINARY_DIR}/cmake/KF5I18nQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5I18nQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_LIST_DIR}/KF5I18nConfig.cmake.in"
                              "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfig.cmake"
               "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5I18nTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5I18nTargets.cmake NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KI18n COMPONENT Devel)

install( FILES
    ${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake
    cmake/kf5i18nuic.cmake
    cmake/build-pofiles.cmake
    cmake/build-tsfiles.cmake
    cmake/ts-pmap-compile.py
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251019.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:21:41 +0000

## ki18n 5.116.0+p24.04+vstable+git20251123.1057

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251123.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:57:59 +0000

## ki18n 5.116.0+p24.04+vstable+git20251220.0058

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20251220.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:58:45 +0000

## ki18n 5.116.0+p24.04+vstable+git20260122.1234

=== debian/changelog ===
ki18n (5.116.0+p24.04+vstable+git20260122.1234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:34:24 +0000

## ki18n 5.116.0+p24.04+vunstable+git20251015.0906

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251015.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:06:59 +0000

## ki18n 5.116.0+p24.04+vunstable+git20251020.0129

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251020.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:29:30 +0000

## ki18n 5.116.0+p24.04+vunstable+git20251123.2319

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251123.2319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:19:42 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/ki18n-(.*)\.tar\.xz

## ki18n 5.116.0+p24.04+vunstable+git20251220.0109

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251220.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:09:34 +0000

## ki18n 5.116.0+p24.04+vunstable+git20251224.0640

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20251224.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:41:07 +0000

=== debian/control ===
Source: ki18n
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.51.0~),
               gettext,
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               python3,
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Git: https://invent.kde.org/neon/kde/ki18n.git
Vcs-Browser: https://invent.kde.org/neon/kde/ki18n
Maintainer: Neon CI <neon@kde.org>

Package: libkf5i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf5i18n-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n5 (= ${binary:Version}),
         libkf5i18nlocaledata5 (= ${binary:Version}),
         python3:any,
         qtscript5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5i18n-doc (= ${source:Version})
Breaks: kross-dev (<< 5.51),
        libkf5configwidgets-dev (<< 5.51),
        libkf5i18n-doc (<< 5.61.90-0),
        libkf5iconthemes-dev (<< 5.51),
        libkf5jsembed-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5notifyconfig-dev (<< 5.51),
        libkf5pty-dev (<< 5.51),
        libkf5service-dev (<< 5.51),
        libkf5unitconversion-dev (<< 5.51)
Replaces: libkf5i18n-doc (<< 5.61.90-0)
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf5i18n-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5i18n5
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
Breaks: baloo-kf5 (<< 5.51),
        frameworkintegration (<< 5.51),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.51),
        kio (<< 5.51),
        kpackagelauncherqml (<< 5.51),
        kpackagetool5 (<< 5.51),
        kross (<< 5.51),
        ktexteditor-katepart (<< 5.42),
        libkf5configwidgets5 (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5filemetadata3 (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5jsembed-dev (<< 5.51),
        libkf5jsembed5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiogui5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krosscore5 (<< 5.51),
        libkf5krossui5 (<< 5.51),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5notifyconfig5 (<< 5.51),
        libkf5package5 (<< 5.51),
        libkf5parts-plugins (<< 5.51),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.51),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5pty5 (<< 5.51),
        libkf5purpose-bin (<< 5.51),
        libkf5purpose5 (<< 5.51),
        libkf5quickaddons5 (<< 5.42),
        libkf5runner5 (<< 5.51),
        libkf5service-bin (<< 5.51),
        libkf5service5 (<< 5.51),
        libkf5su-bin (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5unitconversion5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-bin (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.51),
        libkwalletbackend5-5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kquickcontrols (<< 5.51),
        qml-module-org-kde-runnermodel (<< 5.42)

Package: libkf5i18nlocaledata5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Locale data library.

Package: qml-module-org-kde-i18n-localedata
Architecture: any
Multi-Arch: same
Depends: libkf5i18nlocaledata5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: translation data
 Locale data framework.
 .
 This package contains the QtQuick QML module.

## ki18n 5.116.0+p24.04+vunstable+git20260123.0205

=== debian/changelog ===
ki18n (5.116.0+p24.04+vunstable+git20260123.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:06:09 +0000
